Table of Contents

Class: SMTPClient | Twisted-0.17.4/twisted/protocols/smtp.py
--- | ---

Base Classes |
--- | ---
basic.LineReceiver

Methods |
--- | ---

__init__ connectionMade lineReceived sendToOrData smtpCode_220_helo smtpCode_221_quit | smtpCode_250_afterData smtpCode_250_afterFrom smtpCode_250_from smtpCode_250_to smtpCode_354_data smtpCode_default

| __init__

    __init__ ( self,  identity )

| connectionMade

    connectionMade ( self )

| lineReceived

    lineReceived ( self,  line )

Exceptions |
--- | ---
ValueError( "invalid line from SMTP server %s" % line )

| sendToOrData

    sendToOrData ( self )

| smtpCode_220_helo

    smtpCode_220_helo ( self,  line )

| smtpCode_221_quit

    smtpCode_221_quit ( self,  line )

| smtpCode_250_afterData

    smtpCode_250_afterData ( self,  line )

| smtpCode_250_afterFrom

    smtpCode_250_afterFrom ( self,  line )

| smtpCode_250_from

    smtpCode_250_from ( self,  line )

| smtpCode_250_to

    smtpCode_250_to ( self,  line )

| smtpCode_354_data

    smtpCode_354_data ( self,  line )

| smtpCode_default

    smtpCode_default ( self,  line )

Table of Contents

This document was automatically generated on Sat Apr 20 01:31:04 2002 by HappyDoc version 2.0